> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all running Spark jobs



## OpenAPI

````yaml /api-reference/4.2/service-spark.json get /spark/jobs
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service spark
servers:
  - url: /api/apollo/
security: []
tags:
  - name: spark
paths:
  /spark/jobs:
    get:
      tags:
        - 4.2 Spark API
      summary: List all running Spark jobs
      operationId: listAllJobs
      parameters:
        - name: type
          in: query
          description: Filter to list jobs of a specific type, such as custom script
          required: false
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobList'
components:
  schemas:
    JobList:
      type: object
      properties:
        activeJobs:
          type: object
          readOnly: true
          additionalProperties:
            type: object
            additionalProperties:
              type: array
              items:
                $ref: '#/components/schemas/SparkJobInfo'
        finishedJobs:
          type: object
          readOnly: true
          additionalProperties:
            type: object
            additionalProperties:
              type: array
              items:
                $ref: '#/components/schemas/SparkJobInfo'
        errors:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/Throwable'
    SparkJobInfo:
      type: object
      properties:
        lastJobRunId:
          type: string
        state:
          type: string
          enum:
            - unknown
            - idle
            - starting
            - running
            - finishing
            - cancelling
            - finished
            - cancelled
            - error
            - skipped
        lastRunError:
          $ref: '#/components/schemas/JobExecutionError'
        startTime:
          type: string
        endTime:
          type: string
        duration:
          type: integer
          format: int64
        type:
          type: string
    Throwable:
      type: object
      properties:
        cause:
          $ref: '#/components/schemas/Throwable'
        stackTrace:
          type: array
          items:
            $ref: '#/components/schemas/StackTraceElement'
        message:
          type: string
        localizedMessage:
          type: string
        suppressed:
          type: array
          items:
            $ref: '#/components/schemas/Throwable'
    JobExecutionError:
      type: object
      discriminator:
        propertyName: type
      properties:
        job:
          $ref: '#/components/schemas/FusionResource'
        jobRunId:
          type: string
          readOnly: true
        httpStatusCode:
          type: integer
          format: int32
          readOnly: true
        error:
          type: string
          readOnly: true
        message:
          type: string
          readOnly: true
        details:
          type: string
          readOnly: true
        cause:
          $ref: '#/components/schemas/Throwable'
        stackTrace:
          type: array
          items:
            $ref: '#/components/schemas/StackTraceElement'
        localizedMessage:
          type: string
        suppressed:
          type: array
          items:
            $ref: '#/components/schemas/Throwable'
        httpStatusMessage:
          type: string
          readOnly: true
        class:
          type: string
          readOnly: true
        requestId:
          type: string
          readOnly: true
    StackTraceElement:
      type: object
      properties:
        methodName:
          type: string
        fileName:
          type: string
        lineNumber:
          type: integer
          format: int32
        className:
          type: string
        nativeMethod:
          type: boolean
          default: false
    FusionResource:
      type: object
      properties:
        type:
          type: string
          enum:
            - APPKIT_APP
            - WEBAPP_ADMIN_APP
            - APP
            - COLLECTION
            - INDEX_PIPELINE
            - INDEX_STAGE
            - QUERY_STAGE
            - QUERY_PIPELINE
            - INDEX_PROFILE
            - QUERY_PROFILE
            - BLOB
            - PARSER
            - DATASOURCE
            - TASK
            - SCHEDULE
            - SEARCH_CLUSTER
            - EXPERIMENT
            - SPARK_JOB
            - GROUP
            - CUSTOM_RULE_TYPE
            - TYPE
            - RESOURCE
            - 'NULL'
        id:
          type: string
        canonicalName:
          type: string
        uri:
          type: string
          format: uri

````